Running neo4j:latest

If I try and set up a docker container with neo4j:3.5 and connect from another machine it works fine.
If I do the same but use neo4j:latest or neo4j:4.0 I get the following error:

"SessionExpired: WebSocket connection failure. Due to security constraints in your web browser, the reason for the failure is not available to this Neo4j Driver. Please use your browsers development console to determine the root cause of the failure. Common reasons include the database being unavailable..."

Exactly the same docker-compose script for each.

Does anyone have any ideas whats causing this?

Hi Paul,

Did you check the port number?

Also you can try Neo4j Browser as work around

1 Like

Yeah ports were exactly the same between both 3.5 and 4, it was exactly the same docker-compose.yaml file (apart from version of course). Sorry, this was using the browser to access when I get the issue - not tried it from my Java code directly.